> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Application Spec

> ### Description
Creates a application spec

### Details
This API can be used to create a application spec. To use this API, review the request schema and pass in all fields that are required to create a application spec.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml post /v4/application-specs
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/application-specs:
    post:
      tags:
        - Application Specs
      summary: Create Application Spec
      description: >-
        ### Description

        Creates a application spec


        ### Details

        This API can be used to create a application spec. To use this API,
        review the request schema and pass in all fields that are required to
        create a application spec.
      operationId: POST-V4-/application-specs
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApplicationSpecRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/egp_api_backend__server__api__models__application_models_no_gen__ApplicationSpecResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            application_spec = client.application_specs.create(
                account_id="account_id",
                description="description",
                name="name",
            )
            print(application_spec.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tapplicationSpec, err := client.ApplicationSpecs.New(context.TODO(), sgp.ApplicationSpecNewParams{\n\t\tAccountID:   sgp.F(\"account_id\"),\n\t\tDescription: sgp.F(\"description\"),\n\t\tName:        sgp.F(\"name\"),\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", applicationSpec.ID)\n}\n"
components:
  schemas:
    ApplicationSpecRequest:
      properties:
        name:
          type: string
          title: Name
          description: The name of the Application Spec
        description:
          type: string
          title: Description
          description: The description of the Application Spec
        theme_id:
          title: Theme Id
          can_patch: true
          type: string
        run_online_evaluation:
          title: Run Online Evaluation
          description: >-
            Whether the application spec should run online evaluation, default
            is `false`
          default: false
          type: boolean
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
      type: object
      required:
        - name
        - description
        - account_id
      title: ApplicationSpecRequest
    egp_api_backend__server__api__models__application_models_no_gen__ApplicationSpecResponse:
      properties:
        name:
          type: string
          title: Name
          description: The name of the Application Spec
        description:
          type: string
          title: Description
          description: The description of the Application Spec
        theme_id:
          title: Theme Id
          can_patch: true
          type: string
        run_online_evaluation:
          title: Run Online Evaluation
          description: >-
            Whether the application spec should run online evaluation, default
            is `false`
          default: false
          type: boolean
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
        archived_at:
          title: Archived At
          description: The date and time when the entity was archived in ISO format.
          type: string
          format: date-time
      type: object
      required:
        - name
        - description
        - id
        - created_at
        - account_id
      title: ApplicationSpecResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IdentifierTypeEnum:
      type: string
      enum:
        - user
        - service_account
      title: IdentifierTypeEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````